idna_strerror(3)

NAME
idna_strerror - return string describing idna error code

SYNOPSIS
#include <idna.h>

const char * idna_strerror(Idna_rc rc);

ARGUMENTS

Idna_rc rc
    an Idna_rc return code.

DESCRIPTION
Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

IDNA_SUCCESS
Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes.

IDNA_STRINGPREP_ERROR
Error during string preparation.

IDNA_PUNYCODE_ERROR
Error during punycode operation.

IDNA_CONTAINS_NON_LDH
For IDNA_USE_STD3_ASCII_RULES, indicate that the string contains non-LDH ASCII characters.

IDNA_CONTAINS_MINUS
For IDNA_USE_STD3_ASCII_RULES, indicate that the string contains a leading or trailing hyphen-minus (U+002D).

IDNA_INVALID_LENGTH
The final output string is not within the (inclusive) range 1 to 63 characters.

IDNA_NO_ACE_PREFIX
The string does not contain the ACE prefix (for ToUnicode).

IDNA_ROUNDTRIP_VERIFY_ERROR
The ToASCII operation on output string does not equal the input.

IDNA_CONTAINS_ACE_PREFIX
The input contains the ACE prefix (for ToASCII).

IDNA_ICONV_ERROR
Could not convert string in locale encoding.

IDNA_MALLOC_ERROR
Could not allocate buffer (this is typically a fatal error).

IDNA_DLOPEN_ERROR
Could not dlopen the libcidn DSO (only used internally in libc).

RETURN VALUE
Returns a pointer to a statically allocated string containing a description of the error with the return code rc.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.